Bug 1130792 - SELinux is preventing /usr/sbin/ssmtp from 'append' accesses on the file .
Summary: SELinux is preventing /usr/sbin/ssmtp from 'append' accesses on the file .
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:78a08c2223783c4f6fd827e4df4...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-17 20:25 UTC by b24warbaby
Modified: 2014-08-28 15:30 UTC (History)
4 users (show)

Fixed In Version: selinux-policy-3.12.1-181.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-28 15:30:18 UTC


Attachments (Terms of Use)
File: Screenshot from 2014-08-17 16:24:48.png (50.58 KB, application/octet-stream)
2014-08-17 20:25 UTC, b24warbaby
no flags Details

Description b24warbaby 2014-08-17 20:25:21 UTC
Description of problem:
Launching OpenStack Dashboard from firefox ( fedora 20)
SELinux is preventing /usr/sbin/ssmtp from 'append' accesses on the file .

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that ssmtp should be allowed append access on the  file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep sendmail /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:system_mail_t:s0
Target Context                system_u:object_r:nagios_spool_t:s0
Target Objects                 [ file ]
Source                        sendmail
Source Path                   /usr/sbin/ssmtp
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           ssmtp-2.64-11.fc20.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-179.fc20.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 3.15.10-200.fc20.x86_64 #1 SMP Thu
                              Aug 14 15:39:24 UTC 2014 x86_64 x86_64
Alert Count                   13
First Seen                    2014-08-17 12:52:41 EDT
Last Seen                     2014-08-17 16:01:36 EDT
Local ID                      d320b3a0-d472-4b03-a634-ef4131e6fd92

Raw Audit Messages
type=AVC msg=audit(1408305696.104:906): avc:  denied  { append } for  pid=16417 comm="sendmail" name="dead.letter" dev="dm-1" ino=1180224 scontext=system_u:system_r:system_mail_t:s0 tcontext=system_u:object_r:nagios_spool_t:s0 tclass=file


type=AVC msg=audit(1408305696.104:906): avc:  denied  { open } for  pid=16417 comm="sendmail" path="/var/spool/nagios/dead.letter" dev="dm-1" ino=1180224 scontext=system_u:system_r:system_mail_t:s0 tcontext=system_u:object_r:nagios_spool_t:s0 tclass=file


type=SYSCALL msg=audit(1408305696.104:906): arch=x86_64 syscall=open success=yes exit=ESRCH a0=cb20e0 a1=441 a2=1b6 a3=0 items=0 ppid=1 pid=16417 auid=4294967295 uid=985 gid=979 euid=985 suid=985 fsuid=985 egid=12 sgid=12 fsgid=12 tty=(none) ses=4294967295 comm=sendmail exe=/usr/sbin/ssmtp subj=system_u:system_r:system_mail_t:s0 key=(null)

Hash: sendmail,system_mail_t,nagios_spool_t,file,append

Additional info:
reporter:       libreport-2.2.3
hashmarkername: setroubleshoot
kernel:         3.15.10-200.fc20.x86_64
type:           libreport

Comment 1 b24warbaby 2014-08-17 20:25:23 UTC
Created attachment 927551 [details]
File: Screenshot from 2014-08-17 16:24:48.png

Comment 2 Miroslav Grepl 2014-08-18 12:43:36 UTC
commit 2dca490cf481af6f4ee1b1b5c9f941a829bc09b5
Author: Miroslav Grepl <mgrepl@redhat.com>
Date:   Mon Aug 18 14:36:38 2014 +0200

    Allow sendmail to append dead.letter located in var/spool/nagios/dead.letter

Comment 3 Fedora Update System 2014-08-21 08:26:47 UTC
selinux-policy-3.12.1-181.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-181.fc20

Comment 4 Fedora Update System 2014-08-23 01:56:42 UTC
Package selinux-policy-3.12.1-181.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-181.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-9682/selinux-policy-3.12.1-181.fc20
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-08-28 15:30:18 UTC
selinux-policy-3.12.1-181.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.